PatternReplaceFilter (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.PatternReplaceFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class PatternReplaceFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.solr.analysis.PatternReplaceFilter

All Implemented Interfaces:
  Closeable

    public final class PatternReplaceFilter

extends TokenFilter

A TokenFilter which applies a Pattern to each token in the stream, replacing match occurances with the specified replacement string.

Note: Depending on the input and the pattern used and the input TokenStream, this TokenFilter may produce Tokens whose text is the empty string.

Version:
  $Id:$
See Also:
  `Pattern`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`PatternReplaceFilter(TokenStream in, Pattern p, String replacement, boolean all)` Constructs an instance to replace either the first, or all occurances

Method Summary
`boolean` | `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PatternReplaceFilter

    public PatternReplaceFilter(TokenStream in,
                                Pattern p,
                                String replacement,
                                boolean all)

  Constructs an instance to replace either the first, or all occurances

  Parameters:
    `in` - the TokenStream to process
    `p` - the patterm to apply to each Token
    `replacement` - the "replacement string" to substitute, if null a blank string will be used. Note that this is not the literal string that will be used, '$' and '\' have special meaning.
    `all` - if true, all matches will be replaced otherwise just the first match.
  See Also:
    `Matcher.quoteReplacement(java.lang.String)`

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD